Function
iter
Iterator to item at given position.
Iterator iter(object, pos [, tag])
Include Headers
seqan/sequence.h
Parameters

object | A container. Types: AlignCols, String, StringSet
pos | The position of an item in object. Metafunctions: Position
tag | An iterator spec tag that specifies the kind of the iterator returned. (optional) Default: Given by DefaultGetIteratorSpec.

Remarks
If pos is out of range, then the behavior of the function is undefined.
Return Values
An iterator to the item at position pos in object.
Metafunctions: Iterator
See Also
Position, Iterator, value
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:48